package com.bonus.core.menu.vo;

import com.bonus.core.common.utils.SysUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@ApiModel("收藏菜品列表信息")
@Data
public class MenuCollectionDishesVO implements Serializable {
   @ApiModelProperty("店铺档口id")
   private Long shopstallId;
   @ApiModelProperty("人员id")
   private Long custId;
   @ApiModelProperty("菜品id")
   private Long dishesId;
   @ApiModelProperty("菜品名称")
   private String dishesName;
   @ApiModelProperty("菜品简介")
   private String intro;
   @ApiModelProperty("菜品类型id")
   private String typeId;
   @ApiModelProperty("菜品图片")
   private String imageUrl;
   @ApiModelProperty("菜品单价")
   private Integer price;
   @ApiModelProperty("菜品销量")
   private Integer saleNum;

   public String getImageUrl() {
      return SysUtil.getCutFileUrl(this.imageUrl);
   }

   public Long getShopstallId() {
      return this.shopstallId;
   }

   public Long getCustId() {
      return this.custId;
   }

   public Long getDishesId() {
      return this.dishesId;
   }

   public String getDishesName() {
      return this.dishesName;
   }

   public String getIntro() {
      return this.intro;
   }

   public String getTypeId() {
      return this.typeId;
   }

   public Integer getPrice() {
      return this.price;
   }

   public Integer getSaleNum() {
      return this.saleNum;
   }

   public void setShopstallId(final Long shopstallId) {
      this.shopstallId = shopstallId;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setDishesId(final Long dishesId) {
      this.dishesId = dishesId;
   }

   public void setDishesName(final String dishesName) {
      this.dishesName = dishesName;
   }

   public void setIntro(final String intro) {
      this.intro = intro;
   }

   public void setTypeId(final String typeId) {
      this.typeId = typeId;
   }

   public void setImageUrl(final String imageUrl) {
      this.imageUrl = imageUrl;
   }

   public void setPrice(final Integer price) {
      this.price = price;
   }

   public void setSaleNum(final Integer saleNum) {
      this.saleNum = saleNum;
   }



}
